Skip to main content
POST
/
api
/
knowledge
/
knowledge-entries
/
search
Semantic search over knowledge entries
curl --request POST \
  --url https://{tenant}.app.big-panda.ai/api/knowledge/knowledge-entries/search \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "query": "<string>",
  "limit": 10,
  "min_similarity": 0,
  "category_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "type": "knowledge",
  "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "visibility": "public",
  "layer": "<string>",
  "tags": [
    "<string>"
  ],
  "language": "<string>"
}
'
[
  {
    "entry": {
      "title": "<string>",
      "content": "<string>",
      "category_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "visibility": "public",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "tenant_id": "<string>",
      "type": "knowledge",
      "version": 123,
      "language": "<string>",
      "translation_group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "source": "manual",
      "source_reference": "<string>",
      "embedding_model": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "summary": "<string>",
      "layer": "<string>",
      "tags": [
        "<string>"
      ],
      "workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "metadata": {},
      "search_keywords": [
        "<string>"
      ]
    },
    "similarity": 123
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.big-panda.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API-Token aus dem Big-Panda-Admin-UI unter Einstellungen → API-Keys. Header: Authorization: Bearer <token>.

Headers

X-Scopes
string
default:""

Space-separated scope set from the token (ADR-015)

Body

application/json

Payload for the semantic search endpoint.

query
string
required

Free-text query to search for. Will be embedded with the same model that was used for the knowledge entries.

Required string length: 1 - 2000
limit
integer
default:10

Maximum number of results to return

Required range: 1 <= x <= 100
min_similarity
number | null

If set, drop results with similarity below this threshold (1.0 = identical, 0.0 = unrelated)

Required range: -1 <= x <= 1
category_id
string<uuid> | null

Restrict results to a specific category

type
enum<string> | null

Restrict results to a specific entry type (knowledge, skill, ...)

Available options:
knowledge,
skill,
process,
glossary,
memory,
bootstrap,
skill_index
project_id
string<uuid> | null

Restrict results to entries linked to that project via project_members

visibility
enum<string> | null

Restrict results to a specific visibility level

Available options:
public,
internal,
personal,
restricted,
community,
workspace
layer
string | null

Restrict results to a specific knowledge layer

tags
string[] | null

Restrict results to entries that have ANY of these tags

language
string | null

Restrict results to a specific language (e.g. 'de', 'en'). If unset, searches all languages.

Response

Successful Response

entry
KnowledgeEntryResponse · object
required

Knowledge entry data returned in HTTP responses.

similarity
number
required

Similarity score: 1.0 = identical, 0.0 = unrelated, -1.0 = opposite. Computed as 1 - cosine_distance.